# they warn against doing this ... :-\
%define _disable_source_fetch 0
# make sure that internet access is enabled during the build

Name:           istio-openssl
Version:        1.1.1
Release:        1%{?dist}
Summary:        Correct, reproducible, and fast builds for everyone.
License:        Apache License 2.0
URL:            https://github.com/openssl/openssl
Source0:        openssl-OpenSSL_1_1_1.zip
ExclusiveArch:  x86_64

BuildRequires:  devtoolset-4-gcc
BuildRequires:  devtoolset-4-gcc-c++
BuildRequires:  devtoolset-4-libatomic-devel
BuildRequires:  devtoolset-4-libstdc++-devel
BuildRequires:  devtoolset-4-runtime
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-Module-Load-Conditional
BuildRequires:  perl-Test-Harness
BuildRequires:  perl-Test-Simple

%define debug_package %{nil}
%define __os_install_post %{nil}

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Transport Layer Security (TLS) protocols

%prep
%setup -q -c -n %{name}-%{version}-dist

%build

source /opt/rh/devtoolset-4/enable

pwd
cd openssl-OpenSSL_1_1_1
./config
make
#make test TESTS=test_sanity V=1
make test
mkdir -p %{buildroot}/usr/local/include
mkdir -p %{buildroot}/usr/local/lib64
make DESTDIR==%{buildroot} install

%install
pwd
mkdir -p %{buildroot}/usr/local/include
mkdir -p %{buildroot}/usr/local/lib64/openssl
cp -rf openssl-OpenSSL_1_1_1/include/* %{buildroot}/usr/local/include
cp openssl-OpenSSL_1_1_1/lib* %{buildroot}/usr/local/lib64/openssl

%clean
rm -rf %{buildroot}

%files
/usr/local/include
/usr/local/lib64/openssl

%changelog
* Wed Mar 14 2018 William DeCoste <wdecoste@redhat.com> 0.11.1-1
- Initial 
